<ng-container *subscribe="editIndicatorMutation.result$ as indicator">
  <ngx-loading [show]="indicator.isLoading" />
</ng-container>

<div [ngClass]="[jds.mt(40), jds.mb(70), jds.mx(0)]">
  <div [ngClass]="jds.container">
    <div [ngClass]="[jds.mb(25)]">
      <app-breadcrumb [breadcrumb]="breadcrumb" />
    </div>

    <app-detail-indicator-header />

    <app-detail-indicator-description />

    <app-detail-indicator-preview />

    @if (data.is_validate) {
      <div [ngClass]="[jds.d('flex'), jds.justifyContent('end'), jds.mb(20)]">
        <a
          [ngClass]="[jds.w(120), jds.me(16)]"
          [colorScheme]="'yellow'"
          [routerLink]="['/my-indicator/edit/', data.id]"
          [queryParams]="{
            page: 'indicator',
            status: data.is_validate === 1 ? 'new-active' : 'edit-active'
          }"
          jdsBiButton
        >
          Ubah
        </a>

        <button
          [ngClass]="[jds.w(120), jds.me(16)]"
          [colorScheme]="'red'"
          (click)="onDecline(data.id)"
          jdsBiButton
        >
          Tolak
        </button>

        <button
          [ngClass]="[jds.w(120)]"
          [colorScheme]="'green'"
          (click)="onAccept(data.id)"
          jdsBiButton
        >
          Terima
        </button>
      </div>

      <app-modal-indicator-status
        [from]="'action'"
        [status]="data.is_validate === 1 ? 'revision-new' : 'revision-edit'"
        (update)="onUpdate($event)"
      />
    }
  </div>
</div>
